Skip to main content

Get All Platform Session Templates

GET 

/v1/sandbox/:sandbox_id/session-template/:session_template_id/platform-session-template

Get all Platform Session Templates in a specific sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    session_template_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    platform_session_templates

    object[]

    required

    A list of platform session templates

  • Array [

  • platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The platform's name for this type of platform session

    max_players Max Players (integer)

    Possible values: >= 1

    The maximum number of players that are allowed within this platform session

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    sandbox_id uuid

    ID of the Sandbox

    session_template_id uuidrequired

    Unique id for this type of session that this template is associated with

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

  • ]

  • cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Loading...